Work at SourceForge, help us to make it a better place! We have an immediate need for a Support Technician in our San Francisco or Denver office.

Close

#19 Some default configs are unknown

closed-fixed
nobody
None
5
2004-10-08
2004-07-22
Jeremy C. Reed
No

Using 3.8, the default config defines:

ShowIconified = true
ShowMapped = true
ShowAllDesks = false

But these are unknown and fbpanel gives errors like:

$ fbpanel
Can't load /home/reed/.fbpanel/default
Using /usr/pkg/share/fbpanel/default
fbpanel: unknown var ShowIconified
fbpanel: can't start panel

(Tested under NetBSD and Linux.)

Discussion

  • Eric Sandall
    Eric Sandall
    2004-08-11

    Logged In: YES
    user_id=95198

    I can confirm this, the "default" profile provided with the
    3.8 tarball is broken.

    The Docs[0] say that this[1] file is the "...default profile
    supplied with source tarball", yet that is untrue as there
    is a difference:

    $ diff -u default.source default.docs
    --- default.source 2004-08-11 15:34:43.848255896 -0700
    +++ default.docs 2004-04-15 03:36:00.000000000 -0700
    @@ -55,14 +55,6 @@
    # # Reserve panel's space so that it will not be
    covered by maximazied windows
    # # legal values are boolean
    # # SetPartialStrut = true
    -
    -
    -# # Transparency stuff:
    -# # TintColor is a color to composite on root background
    -# # Alpha is transparency of the tint color.
    -# # Transparent = true
    -# # TintColor = 0xFFFFFFFF
    -# # Alpha = 127
    # }

    @@ -104,7 +96,7 @@
    width = 100
    heighttype = pixel
    height = 26
    - roundcorners = false
    +
    }

    @@ -124,7 +116,7 @@
    image = /usr/share/fbpanel/images/Menu.png

    menu {
    - name = Networking
    + name = Netorking
    image = /usr/share/fbpanel/images/Networking.png
    item {
    # image =
    @@ -190,9 +182,6 @@
    Plugin {
    type = taskbar
    expand = true
    - ShowIconified = true
    - ShowMapped = true
    - ShowAllDesks = false
    config {
    tooltips = true
    iconsonly = false

    But taskbar.c mentions the Show* functions:
    taskbar.c: } else if (!g_ascii_strcasecmp(s.t[0],
    "ShowIconified")) {
    taskbar.c: } else if (!g_ascii_strcasecmp(s.t[0],
    "ShowMapped")) {
    taskbar.c: } else if (!g_ascii_strcasecmp(s.t[0],
    "ShowAllDesks")) {

    [0] http://fbpanel.sourceforge.net/docs.html
    [1] http://fbpanel.sourceforge.net/default

     
  • Eric Sandall
    Eric Sandall
    2004-08-11

    Logged In: YES
    user_id=95198

    I can confirm this, the "default" profile provided with the
    3.8 tarball is broken.

    The Docs[0] say that this[1] file is the "...default profile
    supplied with source tarball", yet that is untrue as there
    is a difference:

    $ diff -u default.source default.docs
    --- default.source 2004-08-11 15:34:43.848255896 -0700
    +++ default.docs 2004-04-15 03:36:00.000000000 -0700
    @@ -55,14 +55,6 @@
    # # Reserve panel's space so that it will not be
    covered by maximazied windows
    # # legal values are boolean
    # # SetPartialStrut = true
    -
    -
    -# # Transparency stuff:
    -# # TintColor is a color to composite on root background
    -# # Alpha is transparency of the tint color.
    -# # Transparent = true
    -# # TintColor = 0xFFFFFFFF
    -# # Alpha = 127
    # }

    @@ -104,7 +96,7 @@
    width = 100
    heighttype = pixel
    height = 26
    - roundcorners = false
    +
    }

    @@ -124,7 +116,7 @@
    image = /usr/share/fbpanel/images/Menu.png

    menu {
    - name = Networking
    + name = Netorking
    image = /usr/share/fbpanel/images/Networking.png
    item {
    # image =
    @@ -190,9 +182,6 @@
    Plugin {
    type = taskbar
    expand = true
    - ShowIconified = true
    - ShowMapped = true
    - ShowAllDesks = false
    config {
    tooltips = true
    iconsonly = false

    But taskbar.c mentions the Show* functions:
    taskbar.c: } else if (!g_ascii_strcasecmp(s.t[0],
    "ShowIconified")) {
    taskbar.c: } else if (!g_ascii_strcasecmp(s.t[0],
    "ShowMapped")) {
    taskbar.c: } else if (!g_ascii_strcasecmp(s.t[0],
    "ShowAllDesks")) {

    [0] http://fbpanel.sourceforge.net/docs.html
    [1] http://fbpanel.sourceforge.net/default

     
    • status: open --> closed-fixed